Package com.emc.documentum.rest.dfc

# Interface FolderLinksManager

public interface FolderLinksManager
The folder links manager to link, unlink and move objects across folders.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Page<FolderLink>`
  `getChildLinks(String folderId, boolean includeAllVersions, String filterQualification, List<SortOrder> sorts, int page, int itemsPerPage, boolean includeTotal)`
  Retrieve a paginated list of child links for a given folder
  `Page<FolderLink>`
  `getParentLinks(String objectId, int page, int itemsPerPage)`
  Retrieve a paginated list of parent links for a given object
  `void`
  `link(String objectId, String folderId)`
  Link an object ot a folder
  `void`
  `move(String objectId, boolean includeAllVersion, String sourceFolderId, String destinationFolderId)`
  Move the object from one folder to the other folder
  `void`
  `unlink(String objectId, String folderId)`
  Remove a folder link between an object and its folder

- ## Method Details

  - ### getParentLinks

    Page<FolderLink> getParentLinks(String objectId, int page, int itemsPerPage) throws com.documentum.fc.common.DfException
    Retrieve a paginated list of parent links for a given object
    Parameters:
      `objectId` - the object ID
      `page` - the page number
      `itemsPerPage` - the page size
    Returns:
      a list of folder links
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation

  - ### getChildLinks

    Page<FolderLink> getChildLinks(String folderId, boolean includeAllVersions, String filterQualification, List<SortOrder> sorts, int page, int itemsPerPage, boolean includeTotal) throws com.documentum.fc.common.DfException
    Retrieve a paginated list of child links for a given folder
    Parameters:
      `folderId` - the folder ID
      `includeAllVersions` - indicate whether to include folder links for all versions of the child objects
      `filterQualification` - filter qualification to specify a specified list of children
      `sorts` - sort orders of the folder links
      `page` - the page number
      `itemsPerPage` - the page size
      `includeTotal` - indicate whether to include the total folder links count in the page result
    Returns:
      a list of folder links
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation

  - ### link

    void link(String objectId, String folderId) throws com.documentum.fc.common.DfException
    Link an object ot a folder
    Parameters:
      `objectId` - the object ID
      `folderId` - the target folder ID
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation

  - ### unlink

    void unlink(String objectId, String folderId) throws com.documentum.fc.common.DfException
    Remove a folder link between an object and its folder
    Parameters:
      `objectId` - the object ID
      `folderId` - the folder ID
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation

  - ### move

    void move(String objectId, boolean includeAllVersion, String sourceFolderId, String destinationFolderId) throws com.documentum.fc.common.DfException
    Move the object from one folder to the other folder
    Parameters:
      `objectId` - the object ID
      `includeAllVersion` - indicate whether to include all versions when moving
      `sourceFolderId` - the source folder ID from which the link is removed
      `destinationFolderId` - the target folder ID to which the link added
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation